Skip to main content
GET
/
customers
/
invitations
List customer invitations
curl --request GET \
  --url https://api.natural.co/customers/invitations \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "type": "customerInvitation",
      "id": "ops@acme.com",
      "attributes": {
        "status": "PENDING",
        "party": null,
        "email": "ops@acme.com",
        "createdAt": "2026-01-05T10:15:00.000Z",
        "walletAvailableMinor": null,
        "walletAccess": "denied",
        "agentInvitations": [
          {
            "invitationId": "adi_550e8400e29b41d4a716446655440000",
            "agent": {
              "id": "agt_3c4d5e6f7a8b9c0d1e2f3a4b5c6d7e8f",
              "name": "Invoice Agent"
            },
            "permissions": [
              "payments.read"
            ],
            "createdAt": "2026-01-05T10:15:00.000Z",
            "expiresAt": "2026-01-12T10:15:00.000Z"
          },
          {
            "invitationId": "adi_660f9500f30c52e5b827557766551111",
            "agent": {
              "id": "agt_4d5e6f7a8b9c0d1e2f3a4b5c6d7e8f9a",
              "name": "Refunds Agent"
            },
            "permissions": [
              "payments.create",
              "payments.read"
            ],
            "createdAt": "2026-01-05T10:15:00.000Z",
            "expiresAt": "2026-01-12T10:15:00.000Z"
          }
        ]
      }
    }
  ],
  "meta": {
    "pagination": {
      "hasMore": false,
      "nextCursor": null
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Agent-ID
string | null

Agent ID (agt_xxx) identifying which agent is making the request.

X-Instance-ID
string | null

Required when X-Agent-ID is present. Session or conversation ID for agent observability.

Maximum string length: 1024

Query Parameters

cursor
string

Cursor for pagination

limit
integer
default:20

Maximum number of results

Required range: 1 <= x <= 100

Response

Successful Response

data
CustomerInvitationResource · object[]
required
meta
object
required